Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.number
Enum OdfTransliterationStyleType

    java.lang.Object
      java.lang.Enum<OdfTransliterationStyleType>
          org.odftoolkit.odfdom.dom.type.number.OdfTransliterationStyleType

All Implemented Interfaces:
  Serializable, Comparable<OdfTransliterationStyleType>

    public enum OdfTransliterationStyleType

extends Enum<OdfTransliterationStyleType>

DOM implementation of OpenDocument attribute number:transliteration-style.

Enum Constant Summary
`LONG`
`MEDIUM`
`SHORT`

Method Summary
`static OdfTransliterationStyleType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfTransliterationStyleType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfTransliterationStyleType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfTransliterationStyleType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MEDIUM

    public static final OdfTransliterationStyleType MEDIUM

### LONG

    public static final OdfTransliterationStyleType LONG

### SHORT

    public static final OdfTransliterationStyleType SHORT

Method Detail

### values

    public static OdfTransliterationStyleType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfTransliterationStyleType c : OdfTransliterationStyleType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfTransliterationStyleType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfTransliterationStyleType>`
  Returns:
    return the name of OdfTransliterationStyleType

### toString

    public static String toString(OdfTransliterationStyleType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfTransliterationStyleType, see number:transliteration-style
  Returns:
    return the name of OdfTransliterationStyleType

### enumValueOf

    public static OdfTransliterationStyleType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfTransliterationStyleType
  Returns:
    return the constant of OdfTransliterationStyleType, see number:transliteration-style

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.